<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_details".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountDetails".
 *
 * Columns in table "account_details" available as properties of the model,
 * followed by relations of table "account_details" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_id
 * @property integer $send_rh_summary
 * @property integer $send_rh_realtime
 * @property integer $facebook_auto_publish
 * @property integer $google_auto_publish
 * @property integer $claimed_provider_id
 * @property string $signature
 * @property string $frontend_settings
 *
 * @property Account $account
 * @property Provider $claimedProvider
 */
abstract class BaseAccountDetails extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_details';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountDetails|AccountDetails', $n);
    }

    public static function representingColumn()
    {
        return 'signature';
    }

    public function rules()
    {
        return array(
            array('account_id', 'required'),
            array('account_id, send_rh_summary, send_rh_realtime, facebook_auto_publish, google_auto_publish, claimed_provider_id', 'numerical', 'integerOnly' => true),
            array('signature, frontend_settings', 'safe'),
            array('send_rh_summary, send_rh_realtime, facebook_auto_publish, google_auto_publish, claimed_provider_id, signature, frontend_settings', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, account_id, send_rh_summary, send_rh_realtime, facebook_auto_publish, google_auto_publish, claimed_provider_id, signature, frontend_settings', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'account' => array(self::BELONGS_TO, 'Account', 'account_id'),
            'claimedProvider' => array(self::BELONGS_TO, 'Provider', 'claimed_provider_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => null,
            'send_rh_summary' => Yii::t('app', 'Send Rh Summary'),
            'send_rh_realtime' => Yii::t('app', 'Send Rh Realtime'),
            'facebook_auto_publish' => Yii::t('app', 'Facebook Auto Publish'),
            'google_auto_publish' => Yii::t('app', 'Google Auto Publish'),
            'claimed_provider_id' => null,
            'signature' => Yii::t('app', 'Signature'),
            'frontend_settings' => Yii::t('app', 'Frontend Settings'),
            'account' => null,
            'claimedProvider' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('send_rh_summary', $this->send_rh_summary);
        $criteria->compare('send_rh_realtime', $this->send_rh_realtime);
        $criteria->compare('facebook_auto_publish', $this->facebook_auto_publish);
        $criteria->compare('google_auto_publish', $this->google_auto_publish);
        $criteria->compare('claimed_provider_id', $this->claimed_provider_id);
        $criteria->compare('signature', $this->signature, true);
        $criteria->compare('frontend_settings', $this->frontend_settings, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
